Anonymous Login
2019-12-06 17:18 PST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000424v2.0 Release (Closed)[All Projects] Generalpublic2010-06-21 21:15
Reporterpacho 
Assigned Tocaseydk 
PrioritynormalSeverityblockReproducibilityalways
StatusclosedResolutionfixed 
Product Version 
Target VersionFixed in Versionv2.0.0 
Summary0000424: Changing Departement Name results in a DB Exception
Description- Select a specific Department for editing
- Change the Department Name
- Submit the changes

-> ERROR (details see below)

AND:
All DB information is displayed, including the technical USERNAME (ROOT) and the according PASSWORD!
Additional InformationERROR: C:\Program Files\Apache Software Foundation\Apache2.2\htdocs\w2p\classes\query.class.php(1170) : query failed(UPDATE `departments` SET `dept_parent` = '0', `dept_company` = '1', `dept_name` = 'D05.4 Kommunikationstechnik', `dept_phone` = '', `dept_fax` = '', `dept_address1` = '', `dept_address2` = '', `dept_city` = '', `dept_state` = '', `dept_zip` = '', `dept_country` = '', `dept_url` = '', `dept_desc` = '', `dept_owner` = '', `dept_email` = '', `dept_type` = '0' WHERE dept_id = '22') - error was: Incorrect integer value: '' for column 'dept_owner' at row 1
Backtrace:
0 C:\Program Files\Apache Software Foundation\Apache2.2\htdocs\w2p\classes\query.class.php:1170 dprint('C:\\Program Files\\Apache Software Foundation\\Apache2.2\\htdocs\\w2p\\classes\\query.class.php',1170,0,'query failed(UPDATE `departments` SET `dept_parent` = \'0\', `dept_company` = \'1\', `dept_name` = \'D05.4 Kommunikationstechnik\', `dept_phone` = \'\', `dept_fax` = \'\', `dept_address1` = \'\', `dept_address2` = \'\', `dept_city` = \'\', `dept_state` = \'\', `dept_zip` = \'\', `dept_country` = \'\', `dept_url` = \'\', `dept_desc` = \'\', `dept_owner` = \'\', `dept_email` = \'\', `dept_type` = \'0\' WHERE dept_id = \'22\') - error was: Incorrect integer value: \'\' for column \'dept_owner\' at row 1')
1 C:\Program Files\Apache Software Foundation\Apache2.2\htdocs\w2p\classes\query.class.php:1723 exec()
2 C:\Program Files\Apache Software Foundation\Apache2.2\htdocs\w2p\modules\departments\departments.class.php:161 updateObject('departments',CDepartment::__set_state(array(
   'dept_id' => '22',
   'dept_parent' => '0',
   'dept_company' => '1',
   'dept_name' => 'D05.4 Kommunikationstechnik',
   'dept_phone' => '',
   'dept_fax' => '',
   'dept_address1' => '',
   'dept_address2' => '',
   'dept_city' => '',
   'dept_state' => '',
   'dept_zip' => '',
   'dept_country' => '',
   'dept_url' => '',
   'dept_desc' => '',
   'dept_owner' => '',
   'dept_email' => '',
   'dept_type' => '0',
   '_tbl_prefix' => '',
   '_tbl' => 'departments',
   '_tbl_key' => 'dept_id',
   '_error' => '',
   '_query' =>
  DBQuery::__set_state(array(
     'query' => NULL,
     'table_list' => NULL,
     'where' => NULL,
     'order_by' => NULL,
     'group_by' => NULL,
     'having' => NULL,
     'limit' => NULL,
     'offset' => -1,
     'join' => NULL,
     'type' => 'select',
     'update_list' => NULL,
     'value_list' => NULL,
     'create_table' => NULL,
     'create_definition' => NULL,
     'include_count' => false,
     '_table_prefix' => '',
     '_query_id' => NULL,
     '_old_style' => NULL,
     '_db' =>
    ADODB_mysql::__set_state(array(
       'databaseType' => 'mysql',
       'dataProvider' => 'mysql',
       'hasInsertID' => true,
       'hasAffectedRows' => true,
       'metaTablesSQL' => 'SHOW TABLES',
       'metaColumnsSQL' => 'SHOW COLUMNS FROM `%s`',
       'fmtTimeStamp' => '\'Y-m-d H:i:s\'',
       'hasLimit' => true,
       'hasMoveFirst' => true,
       'hasGenID' => true,
       'isoDates' => true,
       'sysDate' => 'CURDATE()',
       'sysTimeStamp' => 'NOW()',
       'hasTransactions' => false,
       'forceNewConnect' => false,
       'poorAffectedRows' => true,
       'clientFlags' => 0,
       'substr' => 'substring',
       'nameQuote' => '`',
       'compat323' => false,
       '_genIDSQL' => 'update %s set id=LAST_INSERT_ID(id+1);',
       '_genSeqSQL' => 'create table %s (id int not null)',
       '_genSeqCountSQL' => 'select count(*) from %s',
       '_genSeq2SQL' => 'insert into %s values (%s)',
       '_dropSeqSQL' => 'drop table %s',
       'database' => 'dotproject',
       'host' => 'localhost',
       'user' => 'root',
       'password' => 'xxxxxxx',
       'debug' => false,
       'maxblobsize' => 262144,
       'concat_operator' => '+',
       'length' => 'length',
       'random' => 'rand()',
       'upperCase' => 'upper',
       'fmtDate' => '\'Y-m-d\'',
       'true' => '1',
       'false' => '0',
       'replaceQuote' => '\\\'',
       'charSet' => false,
       'metaDatabasesSQL' => '',
       'uniqueOrderBy' => false,
       'emptyDate' => ' ',
       'emptyTimeStamp' => ' ',
       'lastInsID' => false,
       'hasTop' => false,
       'readOnly' => false,
       'genID' => 0,
       'raiseErrorFn' => false,
       'cacheSecs' => 3600,
       'memCache' => false,
       'memCacheHost' => NULL,
       'memCachePort' => 11211,
       'memCacheCompress' => false,
       'sysUTimeStamp' => false,
       'arrayClass' => 'ADORecordSet_array',
       'noNullStrings' => false,
       'numCacheHits' => 0,
       'numCacheMisses' => 0,
       'pageExecuteCountRows' => true,
       'uniqueSort' => false,
       'leftOuter' => false,
       'rightOuter' => false,
       'ansiOuter' => false,
       'autoRollback' => false,
       'fnExecute' => false,
       'fnCacheExecute' => false,
       'blobEncodeType' => false,
       'rsPrefix' => 'ADORecordSet_',
       'autoCommit' => true,
       'transOff' => 0,
       'transCnt' => 0,
       'fetchMode' => false,
       'null2null' => 'null',
       '_oldRaiseFn' => false,
       '_transOK' => NULL,
       '_connectionID' => NULL,
       '_errorMsg' => 'Incorrect integer value: \'\' for column \'dept_owner\' at row 1',
       '_errorCode' => false,
       '_queryID' => false,
       '_isPersistentConnection' => false,
       '_bindInputArray' => false,
       '_evalAll' => false,
       '_affected' => false,
       '_logsql' => false,
       '_transmode' => '',
       'databaseName' => 'dotproject',
    )),
     '_db_funcs' =>
    array (
      0 => 'NOW()',
    ),
  )),
)),'dept_id',false)
3 C:\Program Files\Apache Software Foundation\Apache2.2\htdocs\w2p\modules\departments\do_dept_aed.php:45 store(CAppUI::__set_state(array(
   'state' =>
  array (
    'ProjIdxTab' => 1,
    'ProjIdxCompany' => '0',
    'ProjIdxOrderDir' => 'asc',
    'SAVEDPLACE-1' => 'm=companies&a=view&company_id=1',
    'SAVEDPLACE' => 'm=companies&a=view&company_id=1&tab=2',
    'UserIdxTab' => 1,
    'addProjWithTasks' => 0,
    'UsrProjIdxCompany' => '0',
    'UserVwTab' => 0,
    'owner_filter_id' => 0,
    'CompaniesIdxTab' => 0,
    'CompVwTab' => 2,
  ),
   'user_id' => '1',
   'user_first_name' => 'Admin',
   'user_last_name' => 'Person',
   'user_company' => '0',
   'user_department' => '0',
   'user_email' => '',
   'user_type' => '1',
   'user_prefs' =>
  array (
    'LOCALE' => 'de_DE',
    'TABVIEW' => '0',
    'SHDATEFORMAT' => '%d/%m/%Y',
    'TIMEFORMAT' => '%H:%M',
    'UISTYLE' => 'web2project',
    'TASKASSIGNMAX' => '100',
    'USERFORMAT' => 'user',
    'CURRENCYFORM' => 'de_DE',
    'EVENTFILTER' => 'my',
    'MAILALL' => '0',
    'TASKLOGEMAIL' => '0',
    'TASKLOGSUBJ' => '',
    'TASKLOGNOTE' => '0',
    'TASKSEXPANDED' => '0',
    'LGDATEFORMAT' => '%B %d, %Y',
    'TIMEZONE' => 'America/New_York',
    'DAYLIGHTSAVINGS' => '1',
  ),
   'day_selected' => NULL,
   'user_locale' => 'de',
   'user_lang' =>
  array (
    0 => 'de_DE.utf-8',
    1 => 'de',
    2 => 'de_DE',
    3 => 'de',
  ),
   'base_locale' => 'en',
   'msg' => '',
   'msgNo' => 0,
   'defaultRedirect' => '',
   'cfg' =>
  array (
    'locale_warn' => false,
  ),
   'version_major' => 1,
   'version_minor' => 3,
   'version_patch' => 0,
   'version_string' => '1.3.0-pre',
   'last_insert_id' => '230',
   'user_style' => NULL,
   'user_is_admin' => 1,
   'objStore' => NULL,
   'project_id' => 0,
   'boxTopRendered' => true,
)))
4 C:\Program Files\Apache Software Foundation\Apache2.2\htdocs\w2p\index.php:253 require('C:\\Program Files\\Apache Software Foundation\\Apache2.2\\htdocs\\w2p\\modules\\departments\\do_dept_aed.php')
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0000854

caseydk (administrator)

Resolved the dept_owner issue in r1067;
Still working on the visible password bits;
+Notes

-Issue History
Date Modified Username Field Change
2010-05-04 02:04 pacho New Issue
2010-05-04 15:47 caseydk Note Added: 0000854
2010-05-04 15:47 caseydk Status new => resolved
2010-05-04 15:47 caseydk Resolution open => fixed
2010-05-04 15:47 caseydk Assigned To => caseydk
2010-05-14 08:05 caseydk Project v1.3 Release (Closed) => v2.0 Release (Closed)
2010-06-21 21:15 caseydk Status resolved => closed
2010-06-21 21:15 caseydk Fixed in Version => v2.0
+Issue History